Problems with your invoke.texi patch

Geoff Keating geoffk@geoffk.org
Mon Mar 4 16:33:00 GMT 2002


"Joseph S. Myers" <jsm28@cam.ac.uk> writes:

> On Mon, 4 Mar 2002, Andreas Jaeger wrote:
> 
> > makeinfo 4.0 does not like your changes:
> 
> Of course, makeinfo 4.1 (just released) is happy with it.  So it seems
> that current makeinfo as well as texinfo.tex is needed to get
> satisfactory results for these expressions.
> 
> OK to commit the following patch to increase the required makeinfo
> version to 4.1 (mainline and 3.1 branch) (bootstrap in progress)?
> 
> 2002-03-04  Joseph S. Myers  <jsm28@cam.ac.uk>
> 
> 	* configure.in: Increase required makeinfo version to 4.1.
> 	* configure: Regenerate.
> 
> --- configure.in.orig	Wed Feb 27 19:02:13 2002
> +++ configure.in	Mon Mar  4 21:41:09 2002
> @@ -494,7 +494,7 @@
>    # that we can use it.
>    gcc_AC_CHECK_PROG_VER(MAKEINFO, makeinfo, --version,
>    [GNU texinfo.* \([0-9][0-9.]*\)],
> -  [4.*])
> +  [4.[1-9]*])
>  fi
>  
>  if test $gcc_cv_prog_makeinfo_modern = no; then

This is OK.

So I should upgrade the regression tester's makeinfo to 4.1, then?

-- 
- Geoffrey Keating <geoffk@geoffk.org> <geoffk@redhat.com>



More information about the Gcc-patches mailing list